Package org.apache.jasper.runtime

## Interface JspSourceImports

-     public interface JspSourceImports

  The EL engine needs access to the imports used in the JSP page to configure the ELContext. The imports are available at compile time but the ELContext is created lazily per page. This interface exposes the imports at runtime so that they may be added to the ELContext when it is created.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<java.lang.String>` | `getClassImports()` |
    `java.util.Set<java.lang.String>` | `getPackageImports()` |

- - ### Method Detail

    - #### getPackageImports

          java.util.Set<java.lang.String> getPackageImports()

    - #### getClassImports

          java.util.Set<java.lang.String> getClassImports()